%
%
%        Estimating Kill_mud density
%
%       rhokillmudmin   = Minimum muddensity to kill kick
%       rhokillmudmax   = Maximum mudensity to avoid fracturing
%       h               = Depth to casing shoe
%       rho             = density of mud before kick
%       x               = Output variable
%
%

function[rho]=killmuddensity(TVD,Ppore,InitialslamH,rhoInitialslam)

g=9.81;

Pc=Ppore*(10^5);

POldslam=g*rhoInitialslam*InitialslamH;

PKill=Pc-POldslam;

%Antar en 5% sikkerhetsfaktor p tetthetten for  srge for at trykket som
%genereres er over poretrykket



rho=(PKill/(g*(TVD-InitialslamH))); 


end
